/************************************************************************
Yutaka Ohtake 

AdSmoothDialog.cpp
Dialog for Adaptive Smoothing

Copyright (c) 1999-2001 
The University of Aizu. All Rights Reserved.
************************************************************************/


// AdSmoothDialog.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "MeshEditor.h"
#include "AdSmoothDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AdSmoothDialog _CAO


AdSmoothDialog::AdSmoothDialog(CWnd* pParent /*=NULL*/)
	: CDialog(AdSmoothDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(AdSmoothDialog)
	m_iteration = 10;
	m_threshold = 1.0f;
	m_rate = 0.5f;
	m_animate = TRUE;
	m_interval = 1;
	m_integration = 1;
	m_inner_iter = 10;
	m_int_step = 0.1f;
	m_ave_iter = 1;
	m_func_type = 1;
	m_degree = 1;
	m_isWeighted = TRUE;
	m_diff = 1;
	m_filter = 1;
	//}}AFX_DATA_INIT
}


void AdSmoothDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AdSmoothDialog)
	DDX_Text(pDX, IDC_EDIT1, m_iteration);
	DDX_Text(pDX, IDC_EDIT2, m_threshold);
	DDX_Text(pDX, IDC_EDIT3, m_rate);
	DDV_MinMaxFloat(pDX, m_rate, 0.f, 1.f);
	DDX_Check(pDX, IDC_CHECK1, m_animate);
	DDX_Text(pDX, IDC_EDIT4, m_interval);
	DDX_Radio(pDX, IDC_RADIO1, m_integration);
	DDX_Text(pDX, IDC_EDIT5, m_inner_iter);
	DDX_Text(pDX, IDC_EDIT6, m_int_step);
	DDV_MinMaxFloat(pDX, m_int_step, 0.f, 1.f);
	DDX_Text(pDX, IDC_EDIT7, m_ave_iter);
	DDX_Radio(pDX, IDC_RADIO12, m_func_type);
	DDX_Text(pDX, IDC_EDIT9, m_degree);
	DDX_Check(pDX, IDC_CHECK4, m_isWeighted);
	DDX_Radio(pDX, IDC_RADIO3, m_diff);
	DDX_Radio(pDX, IDC_RADIO5, m_filter);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AdSmoothDialog, CDialog)
	//{{AFX_MSG_MAP(AdSmoothDialog)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AdSmoothDialog bZ[W nh
