/************************************************************************
Yutaka Ohtake 

AngleDialog.cpp
Dialog for detecting sharp features

Copyright (c) 1999-2001 
The University of Aizu. All Rights Reserved.
************************************************************************/

#include "stdafx.h"
#include "MeshEditor.h"
#include "AngleDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AngleDialog _CAO


AngleDialog::AngleDialog(CWnd* pParent /*=NULL*/)
	: CDialog(AngleDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(AngleDialog)
	m_angle = 165;
	m_shade = TRUE;
	m_presmooth = FALSE;
	m_threshold = 1;
	m_hi = 90;
	m_row = 80;
	//}}AFX_DATA_INIT
}


void AngleDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AngleDialog)
	DDX_Text(pDX, IDC_EDIT1, m_angle);
	DDV_MinMaxInt(pDX, m_angle, 0, 180);
	DDX_Check(pDX, IDC_CHECK1, m_shade);
	DDX_Check(pDX, IDC_CHECK2, m_presmooth);
	DDX_Radio(pDX, IDC_RADIO1, m_threshold);
	DDX_Text(pDX, IDC_EDIT2, m_hi);
	DDV_MinMaxInt(pDX, m_hi, 0, 100);
	DDX_Text(pDX, IDC_EDIT3, m_row);
	DDV_MinMaxInt(pDX, m_row, 0, 100);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AngleDialog, CDialog)
	//{{AFX_MSG_MAP(AngleDialog)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AngleDialog bZ[W nh
