/************************************************************************
Yutaka Ohtake 

Energy.h
Energy to be minizized by Powell method. 

Copyright (c) 1999-2001 
The University of Aizu. All Rights Reserved.
************************************************************************/

#if !defined(AFX_ENERGY_H__6553A1C7_2682_4CC4_85DA_571DBDA985F6__INCLUDED_)
#define AFX_ENERGY_H__6553A1C7_2682_4CC4_85DA_571DBDA985F6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MeshData.h"

class Energy  
{
public:
	virtual void dfunc(float p[], float d[]);
	virtual float func(float p[]);
	Energy();
	virtual ~Energy();

};

#endif // !defined(AFX_ENERGY_H__6553A1C7_2682_4CC4_85DA_571DBDA985F6__INCLUDED_)
