// FileManager.h: FileManager NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEMANAGER_H__84206D95_38F8_41BC_BA6F_F12B3D1109F2__INCLUDED_)
#define AFX_FILEMANAGER_H__84206D95_38F8_41BC_BA6F_F12B3D1109F2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MeshData.h"
#include "stdio.h"

class FileManager  
{
protected:
	void openWaveFront(MeshData* mesh);
	void openOriginal(MeshData *mesh);
	void openPly(MeshData* mesh);
	void openCloud(MeshData* mesh);
	FILE* file;
	CString file_name;
	CString file_ext;

public:
	void saveRidge(MeshData* mesh);
	void saveOriginal(MeshData* mesh);
	void save(MeshData* mesh);
	void openRidge(MeshData* mesh);
	void setFile(FILE* file, CString file_name, CString file_ext);
	void open(MeshData* mesh);
	FileManager();
	virtual ~FileManager();

};

#endif // !defined(AFX_FILEMANAGER_H__84206D95_38F8_41BC_BA6F_F12B3D1109F2__INCLUDED_)
