// SmoothDialog.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "MeshEditor.h"
#include "SmoothDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SmoothDialog _CAO


SmoothDialog::SmoothDialog(CWnd* pParent /*=NULL*/)
	: CDialog(SmoothDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(SmoothDialog)
	m_method = _T("Laplacian Flow");
	m_iteration = 10;
	m_step = 0.5f;
	m_animate = TRUE;
	m_interval = 1;
	m_volume = TRUE;
	//}}AFX_DATA_INIT
}


void SmoothDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SmoothDialog)
	DDX_CBString(pDX, IDC_COMBO1, m_method);
	DDX_Text(pDX, IDC_EDIT1, m_iteration);
	DDV_MinMaxInt(pDX, m_iteration, 1, 10000);
	DDX_Text(pDX, IDC_EDIT2, m_step);
	DDX_Check(pDX, IDC_CHECK1, m_animate);
	DDX_Text(pDX, IDC_EDIT3, m_interval);
	DDX_Check(pDX, IDC_CHECK2, m_volume);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SmoothDialog, CDialog)
	//{{AFX_MSG_MAP(SmoothDialog)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SmoothDialog bZ[W nh
